Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs
Class SupportedInterpolations

    java.lang.Object
      org.deegree.ogcwebservices.wcs.SupportedInterpolations

    public class SupportedInterpolations

extends Object

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`SupportedInterpolations()` default constructor
`SupportedInterpolations(InterpolationMethod[] interpolationMethod)`
`SupportedInterpolations(InterpolationMethod[] interpolationMethod, InterpolationMethod default_)`

Method Summary
`InterpolationMethod` | `getDefault()`
`InterpolationMethod[]` | `getInterpolationMethod()`
`void` | `setDefault(InterpolationMethod default_)`
`void` | `setInterpolationMethod(InterpolationMethod[] interpolationMethod)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SupportedInterpolations

    public SupportedInterpolations()

  default constructor

### SupportedInterpolations

    public SupportedInterpolations(InterpolationMethod[] interpolationMethod)

Parameters:
  `interpolationMethod` -

### SupportedInterpolations

    public SupportedInterpolations(InterpolationMethod[] interpolationMethod,
                                   InterpolationMethod default_)

Parameters:
  `interpolationMethod` -
  `default_` -

Method Detail

### getDefault

    public InterpolationMethod getDefault()

  Returns:
    Returns the default_.

### setDefault

    public void setDefault(InterpolationMethod default_)

  Parameters:
    `default_` - The default_ to set.

### getInterpolationMethod

    public InterpolationMethod[] getInterpolationMethod()

  Returns:
    Returns the interpolationMethod.

### setInterpolationMethod

    public void setInterpolationMethod(InterpolationMethod[] interpolationMethod)

  Parameters:
    `interpolationMethod` - The interpolationMethod to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org